Package org.jfree.layouting.input.style.parser.stylehandler.content

## Class QuotesReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.content.QuotesReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`

      public class QuotesReadHandler
      extends ListOfPairReadHandler

  Creation-Date: 01.12.2005, 17:57:39
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuotesReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `createValue​(StyleKey name, org.w3c.css.sac.LexicalUnit value)` |
    `protected CSSValue` | `parseFirstPosition​(org.w3c.css.sac.LexicalUnit value)` |
    `protected CSSValue` | `parseSecondPosition​(org.w3c.css.sac.LexicalUnit value, CSSValue first)` |

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler

      `addToResultList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuotesReadHandler

          public QuotesReadHandler​()

  - ### Method Detail

    - #### parseFirstPosition

          protected CSSValue parseFirstPosition​(org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `parseFirstPosition` in class `ListOfPairReadHandler`

    - #### parseSecondPosition

          protected CSSValue parseSecondPosition​(org.w3c.css.sac.LexicalUnit value,
                                                 CSSValue first)

      Specified by:
        `parseSecondPosition` in class `ListOfPairReadHandler`

    - #### createValue

          public CSSValue createValue​(StyleKey name,
                                      org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `createValue` in interface `CSSValueReadHandler`
      Overrides:
        `createValue` in class `ListOfPairReadHandler`